Bug 1463085 - Kernel 4.11.5 black screen on Skylake
Summary: Kernel 4.11.5 black screen on Skylake
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-20 06:14 UTC by Richard Chan
Modified: 2018-05-29 12:30 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:30:38 UTC
Type: Bug


Attachments (Terms of Use)
Journalctl for boot 4.11.6 in error (376.45 KB, text/plain)
2017-06-20 09:10 UTC, Didier G
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 101745 None None None 2017-08-15 06:01:29 UTC
Linux Kernel 196233 None None None 2017-08-15 05:54:21 UTC

Description Richard Chan 2017-06-20 06:14:27 UTC
Description of problem:
Black screen on boot after GRUB and initial kernel messages on Skylake.
Happens when there is a graphics switch.

Version-Release number of selected component (if applicable):
4.11.5

How reproducible:
Always

Steps to Reproduce:
1. Install F26 Beta, upgrade kernel to 4.11.5 or 4.11.6(koji)
2.
3.

Actual results:
Black screen after GRUB and initial kernel messages

Expected results:
Boots to gdm


Additional info:
4.11.4 works
4.11.5 also does not work on F25.

Did not see anything significant in the 4.11.5 changelog.
Other systems: Haswell, Ivy Bridge can boot 4.11.5.

EFI system Asus
Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
        Vendor: American Megatrends Inc.
        Version: UX305UA.201
        Release Date: 10/12/2015
 


processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 78
model name	: Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz

$ rpm -q microcode_ctl
microcode_ctl-2.1-15.fc26.x86_64

Last working kernel: 4.11.4-300.fc26.x86_64
Non-working kernel: kernel-4.11.5-300.fc26.x86_64



00:00.0 Host bridge: Intel Corporation Skylake Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07)
00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 08)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #1 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Device 9d10 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
02:00.0 Network controller: Intel Corporation Wireless 7265 (rev 59)

Comment 1 Didier G 2017-06-20 09:10:03 UTC
Created attachment 1289535 [details]
Journalctl for boot 4.11.6 in error

Comment 2 Didier G 2017-06-20 09:15:52 UTC
Same problem on also on Asus Zenbook UX305:

- no problem with 4.11.4 and previous
- black screen with both 4.11.5 and 4.11.6

Many drivers/gpu/drm/i915/intel_pm.c traces in journalctl (see file sent)


Hardware:

00:00.0 Host bridge: Intel Corporation Skylake Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07)
00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 08)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #1 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Device 9d10 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
02:00.0 Network controller: Intel Corporation Wireless 7265 (rev 59)
éa

Comment 3 Laura Abbott 2017-06-20 16:30:22 UTC
$ git log --oneline v4.11.4..v4.11.5 -- drivers/gpu/drm/i915/
6b183d1 drm/i915/vbt: split out defaults that are set when there is no VBT
07f0aa4 drm/i915/vbt: don't propagate errors from intel_bios_init()
fa8a1ce drm/i915: Fix runtime PM for LPE audio

These are the changes that came in between 4.11.4 and 4.11.5 for i915

Comment 4 Didier G 2017-06-26 19:56:44 UTC
I just installed new kernel 4.11.7 but problem is still present with many drivers/gpu/drm/i915/intel_pm.c traces in journalctl.

At this time 4.11.4 is still the last working kernel on Asus UX305.

Comment 5 niemand 2017-06-29 07:36:30 UTC
Hello Laura,

I do not see the following in the linux-4.11.6:
drivers/gpu/drm/i915/vbt

[user@localhost i915]$ pwd
/home/user/projects/kernel_space/linux-4.11.6/drivers/gpu/drm/i915
[user@localhost i915]$ ls -al
total 4604
drwxrwxr-x.  3 user user   4096 Jun 17 06:47 .
drwxrwxr-x. 53 user user   4096 Jun 17 06:47 ..
-rw-rw-r--.  1 user user  12702 Jun 17 06:47 dvo_ch7017.c
-rw-rw-r--.  1 user user   8382 Jun 17 06:47 dvo_ch7xxx.c
-rw-rw-r--.  1 user user   4370 Jun 17 06:47 dvo.h
-rw-rw-r--.  1 user user  12201 Jun 17 06:47 dvo_ivch.c
-rw-rw-r--.  1 user user  22584 Jun 17 06:47 dvo_ns2501.c
-rw-rw-r--.  1 user user   6753 Jun 17 06:47 dvo_sil164.c
-rw-rw-r--.  1 user user   8201 Jun 17 06:47 dvo_tfp410.c
drwxrwxr-x.  2 user user   4096 Jun 17 06:47 gvt
-rw-rw-r--.  1 user user  41943 Jun 17 06:47 i915_cmd_parser.c
-rw-rw-r--.  1 user user 137604 Jun 17 06:47 i915_debugfs.c
-rw-rw-r--.  1 user user  74994 Jun 17 06:47 i915_drv.c
-rw-rw-r--.  1 user user 122945 Jun 17 06:47 i915_drv.h
-rw-rw-r--.  1 user user   4549 Jun 17 06:47 i915_gem_batch_pool.c
-rw-rw-r--.  1 user user   1703 Jun 17 06:47 i915_gem_batch_pool.h
-rw-rw-r--.  1 user user 138291 Jun 17 06:47 i915_gem.c
-rw-rw-r--.  1 user user  31427 Jun 17 06:47 i915_gem_context.c
-rw-rw-r--.  1 user user   8517 Jun 17 06:47 i915_gem_context.h
-rw-rw-r--.  1 user user   8167 Jun 17 06:47 i915_gem_dmabuf.c
-rw-rw-r--.  1 user user  11724 Jun 17 06:47 i915_gem_evict.c
-rw-rw-r--.  1 user user  52618 Jun 17 06:47 i915_gem_execbuffer.c
-rw-rw-r--.  1 user user  23103 Jun 17 06:47 i915_gem_fence_reg.c
-rw-rw-r--.  1 user user   1807 Jun 17 06:47 i915_gem_fence_reg.h
-rw-rw-r--.  1 user user 102194 Jun 17 06:47 i915_gem_gtt.c
-rw-rw-r--.  1 user user  19318 Jun 17 06:47 i915_gem_gtt.h
-rw-rw-r--.  1 user user   1498 Jun 17 06:47 i915_gem.h
-rw-rw-r--.  1 user user   5561 Jun 17 06:47 i915_gem_internal.c
-rw-rw-r--.  1 user user  10329 Jun 17 06:47 i915_gem_object.h
-rw-rw-r--.  1 user user   7062 Jun 17 06:47 i915_gem_render_state.c
-rw-rw-r--.  1 user user   1491 Jun 17 06:47 i915_gem_render_state.h
-rw-rw-r--.  1 user user  35677 Jun 17 06:47 i915_gem_request.c
-rw-rw-r--.  1 user user  24498 Jun 17 06:47 i915_gem_request.h
-rw-rw-r--.  1 user user  15028 Jun 17 06:47 i915_gem_shrinker.c
-rw-rw-r--.  1 user user  19962 Jun 17 06:47 i915_gem_stolen.c
-rw-rw-r--.  1 user user  13274 Jun 17 06:47 i915_gem_tiling.c
-rw-rw-r--.  1 user user   3017 Jun 17 06:47 i915_gem_timeline.c
-rw-rw-r--.  1 user user   2284 Jun 17 06:47 i915_gem_timeline.h
-rw-rw-r--.  1 user user  22151 Jun 17 06:47 i915_gem_userptr.c
-rw-rw-r--.  1 user user  44770 Jun 17 06:47 i915_gpu_error.c
-rw-rw-r--.  1 user user   4999 Jun 17 06:47 i915_guc_reg.h
-rw-rw-r--.  1 user user  30607 Jun 17 06:47 i915_guc_submission.c
-rw-rw-r--.  1 user user   3102 Jun 17 06:47 i915_ioc32.c
-rw-rw-r--.  1 user user 125455 Jun 17 06:47 i915_irq.c
-rw-rw-r--.  1 user user   3020 Jun 17 06:47 i915_memcpy.c
-rw-rw-r--.  1 user user   2660 Jun 17 06:47 i915_mm.c
-rw-rw-r--.  1 user user  23228 Jun 17 06:47 i915_oa_hsw.c
-rw-rw-r--.  1 user user   1551 Jun 17 06:47 i915_oa_hsw.h
-rw-rw-r--.  1 user user  10239 Jun 17 06:47 i915_params.c
-rw-rw-r--.  1 user user   2201 Jun 17 06:47 i915_params.h
-rw-rw-r--.  1 user user  15175 Jun 17 06:47 i915_pci.c
-rw-rw-r--.  1 user user  69267 Jun 17 06:47 i915_perf.c
-rw-rw-r--.  1 user user   3524 Jun 17 06:47 i915_pvinfo.h
-rw-rw-r--.  1 user user 350412 Jun 17 06:47 i915_reg.h
-rw-rw-r--.  1 user user   4725 Jun 17 06:47 i915_suspend.c
-rw-rw-r--.  1 user user  12042 Jun 17 06:47 i915_sw_fence.c
-rw-rw-r--.  1 user user   2627 Jun 17 06:47 i915_sw_fence.h
-rw-rw-r--.  1 user user  18434 Jun 17 06:47 i915_sysfs.c
-rw-rw-r--.  1 user user  21753 Jun 17 06:47 i915_trace.h
-rw-rw-r--.  1 user user    210 Jun 17 06:47 i915_trace_points.c
-rw-rw-r--.  1 user user   2252 Jun 17 06:47 i915_utils.h
-rw-rw-r--.  1 user user   9345 Jun 17 06:47 i915_vgpu.c
-rw-rw-r--.  1 user user   1459 Jun 17 06:47 i915_vgpu.h
-rw-rw-r--.  1 user user  19002 Jun 17 06:47 i915_vma.c
-rw-rw-r--.  1 user user  10951 Jun 17 06:47 i915_vma.h
-rw-rw-r--.  1 user user   3662 Jun 17 06:47 intel_acpi.c
-rw-rw-r--.  1 user user   8852 Jun 17 06:47 intel_atomic.c
-rw-rw-r--.  1 user user   8681 Jun 17 06:47 intel_atomic_plane.c
-rw-rw-r--.  1 user user  30206 Jun 17 06:47 intel_audio.c
-rw-rw-r--.  1 user user  52211 Jun 17 06:47 intel_bios.c
-rw-rw-r--.  1 user user   5324 Jun 17 06:47 intel_bios.h
-rw-rw-r--.  1 user user  19821 Jun 17 06:47 intel_breadcrumbs.c
-rw-rw-r--.  1 user user  17128 Jun 17 06:47 intel_color.c
-rw-rw-r--.  1 user user  26945 Jun 17 06:47 intel_crt.c
-rw-rw-r--.  1 user user  13962 Jun 17 06:47 intel_csr.c
-rw-rw-r--.  1 user user  68394 Jun 17 06:47 intel_ddi.c
-rw-rw-r--.  1 user user  13595 Jun 17 06:47 intel_device_info.c
-rw-rw-r--.  1 user user 500680 Jun 17 06:47 intel_display.c
-rw-rw-r--.  1 user user   5726 Jun 17 06:47 intel_dp_aux_backlight.c
-rw-rw-r--.  1 user user 170123 Jun 17 06:47 intel_dp.c
-rw-rw-r--.  1 user user  33241 Jun 17 06:47 intel_dpio_phy.c
-rw-rw-r--.  1 user user   8894 Jun 17 06:47 intel_dp_link_training.c
-rw-rw-r--.  1 user user  56144 Jun 17 06:47 intel_dpll_mgr.c
-rw-rw-r--.  1 user user   8062 Jun 17 06:47 intel_dpll_mgr.h
-rw-rw-r--.  1 user user  18898 Jun 17 06:47 intel_dp_mst.c
-rw-rw-r--.  1 user user  63897 Jun 17 06:47 intel_drv.h
-rw-rw-r--.  1 user user  47536 Jun 17 06:47 intel_dsi.c
-rw-rw-r--.  1 user user   5605 Jun 17 06:47 intel_dsi_dcs_backlight.c
-rw-rw-r--.  1 user user   4037 Jun 17 06:47 intel_dsi.h
-rw-rw-r--.  1 user user  24420 Jun 17 06:47 intel_dsi_panel_vbt.c
-rw-rw-r--.  1 user user  16294 Jun 17 06:47 intel_dsi_pll.c
-rw-rw-r--.  1 user user  16757 Jun 17 06:47 intel_dvo.c
-rw-rw-r--.  1 user user  13708 Jun 17 06:47 intel_engine_cs.c
-rw-rw-r--.  1 user user  38744 Jun 17 06:47 intel_fbc.c
-rw-rw-r--.  1 user user  24322 Jun 17 06:47 intel_fbdev.c
-rw-rw-r--.  1 user user  13846 Jun 17 06:47 intel_fifo_underrun.c
-rw-rw-r--.  1 user user   7860 Jun 17 06:47 intel_frontbuffer.c
-rw-rw-r--.  1 user user   3430 Jun 17 06:47 intel_frontbuffer.h
-rw-rw-r--.  1 user user  15983 Jun 17 06:47 intel_guc_fwif.h
-rw-rw-r--.  1 user user  24330 Jun 17 06:47 intel_guc_loader.c
-rw-rw-r--.  1 user user  19278 Jun 17 06:47 intel_guc_log.c
-rw-rw-r--.  1 user user   3654 Jun 17 06:47 intel_gvt.c
-rw-rw-r--.  1 user user   1746 Jun 17 06:47 intel_gvt.h
-rw-rw-r--.  1 user user  13754 Jun 17 06:47 intel_hangcheck.c
-rw-rw-r--.  1 user user  60639 Jun 17 06:47 intel_hdmi.c
-rw-rw-r--.  1 user user  19518 Jun 17 06:47 intel_hotplug.c
-rw-rw-r--.  1 user user   9918 Jun 17 06:47 intel_huc.c
-rw-rw-r--.  1 user user  18965 Jun 17 06:47 intel_i2c.c
-rw-rw-r--.  1 user user  11015 Jun 17 06:47 intel_lpe_audio.c
-rw-rw-r--.  1 user user  70083 Jun 17 06:47 intel_lrc.c
-rw-rw-r--.  1 user user   3923 Jun 17 06:47 intel_lrc.h
-rw-rw-r--.  1 user user   7140 Jun 17 06:47 intel_lspcon.c
-rw-rw-r--.  1 user user  35334 Jun 17 06:47 intel_lvds.c
-rw-rw-r--.  1 user user  13766 Jun 17 06:47 intel_mocs.c
-rw-rw-r--.  1 user user   2402 Jun 17 06:47 intel_mocs.h
-rw-rw-r--.  1 user user   4020 Jun 17 06:47 intel_modes.c
-rw-rw-r--.  1 user user  32139 Jun 17 06:47 intel_opregion.c
-rw-rw-r--.  1 user user  41789 Jun 17 06:47 intel_overlay.c
-rw-rw-r--.  1 user user  54650 Jun 17 06:47 intel_panel.c
-rw-rw-r--.  1 user user  24556 Jun 17 06:47 intel_pipe_crc.c
-rw-rw-r--.  1 user user 233770 Jun 17 06:47 intel_pm.c
-rw-rw-r--.  1 user user  30670 Jun 17 06:47 intel_psr.c
-rw-rw-r--.  1 user user   5122 Jun 17 06:47 intel_renderstate_gen6.c
-rw-rw-r--.  1 user user   4641 Jun 17 06:47 intel_renderstate_gen7.c
-rw-rw-r--.  1 user user  13793 Jun 17 06:47 intel_renderstate_gen8.c
-rw-rw-r--.  1 user user  14001 Jun 17 06:47 intel_renderstate_gen9.c
-rw-rw-r--.  1 user user   1886 Jun 17 06:47 intel_renderstate.h
-rw-rw-r--.  1 user user  76489 Jun 17 06:47 intel_ringbuffer.c
-rw-rw-r--.  1 user user  22432 Jun 17 06:47 intel_ringbuffer.h
-rw-rw-r--.  1 user user  86135 Jun 17 06:47 intel_runtime_pm.c
-rw-rw-r--.  1 user user  93406 Jun 17 06:47 intel_sdvo.c
-rw-rw-r--.  1 user user  23552 Jun 17 06:47 intel_sdvo_regs.h
-rw-rw-r--.  1 user user   7625 Jun 17 06:47 intel_sideband.c
-rw-rw-r--.  1 user user  34781 Jun 17 06:47 intel_sprite.c
-rw-rw-r--.  1 user user  48323 Jun 17 06:47 intel_tv.c
-rw-rw-r--.  1 user user   3645 Jun 17 06:47 intel_uc.c
-rw-rw-r--.  1 user user   7978 Jun 17 06:47 intel_uc.h
-rw-rw-r--.  1 user user  55578 Jun 17 06:47 intel_uncore.c
-rw-rw-r--.  1 user user  23436 Jun 17 06:47 intel_vbt_defs.h
-rw-rw-r--.  1 user user   4300 Jun 17 06:47 Kconfig
-rw-rw-r--.  1 user user   2128 Jun 17 06:47 Kconfig.debug
-rw-rw-r--.  1 user user   3067 Jun 17 06:47 Makefile
[user@localhost i915]$ 

VBT.dat file should come from UEFI BIOS, am I correct? I always wonder, how it comes: how kernel copies it from UEFI BIOS to where? Does VBT.dat belongs to Run Time Services (UEFI BIOS postmortem)???

Thank you,
_nobody_

Comment 6 Didier G 2017-06-29 22:12:31 UTC
I tried with no success new kernel-4.11.8-200.fc25

As it was suggested to me on http://forums.fedoraforum.org/showthread.php?p=1789667 I also tried to boot with an external display connected by HDMI....

In this case I get following message on HDMI display:

[    1.308240] [drm:drm_calc_timestamping_constants [drm]] *ERROR* crtc 31: Can't calculate constants, dotclock = 0!
You are in emergency mode...

At this time 4.11.4 is still, at least for me, the last working kernel on Asus UX305.

Comment 7 niemand 2017-06-29 23:51:26 UTC
Hello Laura,

DRM (i915) developers tampered with VBT data (VBT table), and as final result, somehow DRM is NOT reaching external HDMI monitor's EDID (for Didier).

Could you, please, check that (magically, it has something to do with microcode, used in INTEL line of products called Sky Lake (CPUID 0x406e3, pf=0x80, revision=0xba), meaning microcode update for CPUID 0x406e3 is 0xba, should be debugged, and new microcode issued!

Thank you,
_nobody_

Comment 8 niemand 2017-06-30 00:09:24 UTC
And, to all (especially INTEL https://01.org/ designers), here is the root cause of the problem!

http://www.forums.fedoraforum.org/showpost.php?p=1789699&postcount=10

I hope to see quick resolution of this problem! ;-)

Thank you for understanding!
_nobody_

Comment 9 Didier G 2017-07-04 13:43:59 UTC
I just did a new quick test booking Fedora 26 RC from USB using Fedora-Workstation-Live-x86_64-26-1.3.iso

This Live uses kernel 4.11.8

With no external HDMI monitor connected to my Asus UX305UA I get only black screen.

With an external HDMI monitor connected to my Asus UX305UA I get Fedora desktop on this monitor.

Comment 10 niemand 2017-07-04 14:58:16 UTC
Hello Didier,

You should check the following?
[1] Which kernel exactly do you have there (4.11.8-300.fc26.x86_64)?
[2] Does it change microcode update (the latest was 0xba, as I recall)?

Since it is unknown what changes were done where??? :-(

Thank you,
_nobody_

Comment 11 Didier G 2017-07-04 19:31:08 UTC
Hello Niemand

If  I boot on Fedora 25 using 4.11.4 kernel I get:

microcode: sig=0x406e3, pf=0x80, revision=0xba



If I boot on Fedora 26 using 4.11.8 kernel I get:

microcode: sig=0x406e3, pf=0x80, revision=0x33

Comment 12 niemand 2017-07-05 06:49:17 UTC
Hello Didier,

From what I see, I can assume the following:

They introduced the latest microcode in kernel before 4.11.4.

The latest microcode (0xba) messed up with reading EDID from external monitor. They removed it. But they did NOT fixed issue with vbt.dat (internal INTEL timing tables for built-in notebooks' monitors).

Anyway, they made even greater mess after all. The correct solution would be:
[1] To introduce newest microcode (beyond 0xba) which fixes EDID issue;
[2] To fix bug with vbt.dat!

I have no idea why all of this is happening, but I'll take a guess: the resources there are scarce and overloaded. :-(

_nobody_

Comment 13 Didier G 2017-07-05 21:59:53 UTC
Same issue with new kernel 4.11.9...

Last working kernel on ASUS UX305UA is still 4.11.4...

Comment 14 Didier G 2017-07-06 12:55:39 UTC
(In reply to Richard Chan from comment #0)

I also opened https://bugzilla.kernel.org/show_bug.cgi?id=196233

Comment 15 Didier G 2017-07-08 10:58:17 UTC
(In reply to niemand from comment #7)
>
> Could you, please, check that (magically, it has something to do with
> microcode, used in INTEL line of products called Sky Lake (CPUID 0x406e3,
> pf=0x80, revision=0xba), meaning microcode update for CPUID 0x406e3 is 0xba,
> should be debugged, and new microcode issued!


Intel as publied in June a document about problem and fixes for SlyKake processors using HT: http://www.intel.co.uk/content/dam/www/public/us/en/documents/specification-updates/desktop-6th-gen-core-family-spec-update.pdf 

Ubuntu has already publied June 25 a fix for it: https://lists.debian.org/debian-devel/2017/06/msg00308.html

Will Fedora do the the same ?

At this time this problem is assigned to xorg-x11-drv-intel. In my humble opinion, the first thing to do is to fix the SkyLake microcode issue.

Comment 16 Didier G 2017-07-08 11:19:46 UTC
(In reply to Didier G from comment #15)
> 
> Ubuntu has already publied June 25 a fix for it:
> https://lists.debian.org/debian-devel/2017/06/msg00308.html

Debian not Ubuntu.... Apologies....

Comment 17 Didier G 2017-07-12 17:17:51 UTC
Laura Abbott changed assignation of this bug 2017-06-20 at 12:30:22 EDT: 

Component: kernel → xorg-x11-drv-intel
Assignee: kernel-maint@redhat.comajax@redhat.com

Since this date no significant update.

What is the status of this bug introduced by kernel 4.11.5 ?

Comment 18 Christian R. 2017-07-22 07:20:38 UTC
I can confirm this bug too on an Asus UX305U. Latest working kernel is 4.11.4.

I have tried to install the latest vanilla kernel (4.12.2) and it doesn't work either, which suggests the bug comes from upstream.

Comment 19 Didier G 2017-07-22 10:41:28 UTC
(In reply to reupke from comment #18)
> I can confirm this bug too on an Asus UX305U. Latest working kernel is
> 4.11.4.
> 
> I have tried to install the latest vanilla kernel (4.12.2) and it doesn't
> work either, which suggests the bug comes from upstream.


Please fill https://bugzilla.kernel.org/show_bug.cgi?id=196233 too.

Comment 20 Colin Panisset 2017-07-26 21:57:22 UTC
Same problem here. I added to the kernel.org bugzilla as well.

Comment 21 Didier G 2017-08-09 21:57:45 UTC
This bug with kernel 4.11.5 and following on Asus UX305UA, UX305U and UX306U is opened since 2017-06-20 but at this is time it is not corrected.

According tests done by users, cause of this bug in kernel 4.11.5 is commit bb1d132935c2f87cd261eb559759fe49d5e5dc43 see: https://bugzilla.kernel.org/show_bug.cgi?id=196233#c15 and following comments.

Asus owners are now waiting for a fix !

Comment 22 Richard Chan 2017-08-15 05:49:58 UTC
4.12.5 - works on external display connected to micro HDMI; internal display is black and not detected by xrandr.

Comment 23 Richard Chan 2017-08-15 05:52:44 UTC
Posted at kernel bugs:

https://bugzilla.kernel.org/show_bug.cgi?id=196233#c15

"The fix is http://patchwork.freedesktop.org/patch/msgid/20170811113907.6716-1-jani.nikula@intel.com, please follow-up at the fdo bugzilla."

Comment 24 Richard Chan 2017-08-15 08:15:28 UTC
I can confirm the fdo patch fixes the issue when built against 4.12.7-302.fc26.x86_64.

Comment 25 Didier G 2017-09-12 21:26:07 UTC
Fixed in Kernel 4.12.12 available on koji.

Comment 26 Saint Aardvark the Carpeted 2017-09-17 13:10:54 UTC
I have an Asus UX306U, and have been experiencing this problem as well (black screen on boot; workaround was to keep using 4.10.15).  With F26, I just upgraded to 4.12.12.  Unfortunately, this has not entirely fixed things; the screen is no longer blank at boot, but the only resolution that comes up in Wayland is 800x600.  When I checked in the Gnome settings dialogue, that was the only resolution presented.

I'm including the output of lspci, but as I'm a newbie to Fedora I'm not sure what other info would be helpful here.  Please let me know if there's anything else I can provide.

$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 08)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #1 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #1 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
02:00.0 Network controller: Intel Corporation Wireless 7265 (rev 59)

Comment 27 Saint Aardvark the Carpeted 2017-09-17 13:12:10 UTC
Oh, sorry, should have at least included kernel package info:

$ rpm -qa |grep 4.12.12
kernel-core-4.12.12-300.fc26.x86_64
kernel-headers-4.12.12-300.fc26.x86_64
kernel-tools-4.12.12-300.fc26.x86_64
kernel-tools-libs-4.12.12-300.fc26.x86_64

Comment 28 Saint Aardvark the Carpeted 2017-09-21 13:31:07 UTC
I've just upgraded to 4.12.13-300, and everything appears to be good:  full resolution is back.  Her'es a list of kernel packages:

$ rpm -qa |grep 4.12.13
kernel-headers-4.12.13-300.fc26.x86_64
kernel-modules-extra-4.12.13-300.fc26.x86_64
kernel-tools-4.12.13-300.fc26.x86_64
kernel-tools-libs-4.12.13-300.fc26.x86_64
kernel-modules-4.12.13-300.fc26.x86_64
kernel-4.12.13-300.fc26.x86_64
kernel-core-4.12.13-300.fc26.x86_64

Comment 29 Fedora End Of Life 2018-05-03 08:11:08 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 30 Fedora End Of Life 2018-05-29 12:30:38 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.